package com.cmvr.aima.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cmvr.aima.domain.AimaVehicle;

/**
 * 爱玛车辆管理Mapper接口
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
public interface AimaVehicleMapper extends BaseMapper<AimaVehicle> {
    /**
     * 查询爱玛车辆管理
     * 
     * @param id 爱玛车辆管理主键
     * @return 爱玛车辆管理
     */
    AimaVehicle selectAimaVehicleById(String id);

    /**
     * 查询爱玛车辆管理列表
     * 
     * @param aimaVehicle 爱玛车辆管理
     * @return 爱玛车辆管理集合
     */
    List<AimaVehicle> selectAimaVehicleList(AimaVehicle aimaVehicle);

    /**
     * 新增爱玛车辆管理
     * 
     * @param aimaVehicle 爱玛车辆管理
     * @return 结果
     */
    int insertAimaVehicle(AimaVehicle aimaVehicle);

    /**
     * 修改爱玛车辆管理
     * 
     * @param aimaVehicle 爱玛车辆管理
     * @return 结果
     */
    int updateAimaVehicle(AimaVehicle aimaVehicle);

    /**
     * 删除爱玛车辆管理
     * 
     * @param id 爱玛车辆管理主键
     * @return 结果
     */
    int deleteAimaVehicleById(String id);

    /**
     * 批量删除爱玛车辆管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAimaVehicleByIds(String[] ids);
}
